package com.lframework.xingyun.sc.convert;

import com.lframework.xingyun.sc.vo.sale.QuerySaleOrderExportVo;
import com.lframework.xingyun.sc.vo.sale.QuerySaleOrderVo;

public class QuerySaleOrderVoConverter {

    public static QuerySaleOrderVo convert(QuerySaleOrderExportVo exportVo) {
        if (exportVo == null) {
            return null;
        }
        QuerySaleOrderVo vo = new QuerySaleOrderVo();
        vo.setCode(exportVo.getCode());
        vo.setCustomerId(exportVo.getCustomerId());
        vo.setScId(exportVo.getScId());
        vo.setCreateBy(exportVo.getCreateBy());
        vo.setCreateStartTime(exportVo.getCreateStartTime());
        vo.setCreateEndTime(exportVo.getCreateEndTime());
        vo.setApproveBy(exportVo.getApproveBy());
        vo.setApproveStartTime(exportVo.getApproveStartTime());
        vo.setApproveEndTime(exportVo.getApproveEndTime());
        vo.setStatus(exportVo.getStatus());
        vo.setSalerId(exportVo.getSalerId());
        vo.setIsLease(exportVo.getIsLease());
        vo.setPurchaseStatus(exportVo.getPurchaseStatus());
        vo.setLeaseStartTime(exportVo.getLeaseStartTime());
        vo.setLeaseEndTime(exportVo.getLeaseEndTime());

        return vo;
    }
}

